Package org.freeplane.api

# Interface ExternalObjectRO

All Known Subinterfaces:
  `ExternalObject`, `Proxy.ExternalObject`, `Proxy.ExternalObjectRO`

public interface ExternalObjectRO
External object: `node.externalObject` - read-only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getUri()`
  returns the object's uri if set or null otherwise.
  `String`
  `getURI()`
  Deprecated.
  since 1.2 - use `getUri()` instead.
  `float`
  `getZoom()`
  returns the current zoom level as ratio, i.e.

- ## Method Details

  - ### getUri

    String getUri()
    returns the object's uri if set or null otherwise.
    Since:
      1.2

  - ### getZoom

    float getZoom()
    returns the current zoom level as ratio, i.e. 1.0 is returned for 100%. If there is no external object 1.0 is returned.

  - ### getURI

    @Deprecated String getURI()
    Deprecated.
    since 1.2 - use `getUri()` instead.